aagc.vo

## Class DcrMazzetteRequest

- java.lang.Object
- - aagc.vo.DcrMazzetteRequest

-     public class DcrMazzetteRequest
      extends java.lang.Object

  Dati identificativi della farmacia e della Distinta Contabile Riepilogativa con le mazzette associate ed eventuali rettifiche.
  I dati comprendono:

  - codNazionale: codice ASL di riferimento Farmacia. Obbligatorio.
    Valori ammessi:
    - 160106 (ASL BR)
    - 160112 (ASL TA)
    - 160113 (ASL BT)
    - 160114 (ASL BA)
    - 160115 (ASL FG)
    - 160116 (ASL LE)
  - numDistretto: numero distretto a cui appartiene la farmacia. Obbligatorio.
  - codProvinciale: codice provinciale della farmacia. Obbligatorio.
  - identificativoTitolare: codice fiscale/partita iva della persona fisica o della società del titolare della farmacia.
  - distinta: dettaglio della DCR con lista delle mazzette. Obbligatorio.
  - elencoRettifiche: lista delle eventuali rettifiche

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="dcrMazzetteRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codNazionale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numDistretto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <pattern value="[0-9]*"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codProvinciale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="4"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="identificativoTitolare"  minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1})?|[0-9]{11}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="distinta" type="{http://www.nsisr.puglia.it/Schemas/}dcrMazzetteDettaglioRequest"/>
               <element name="elencoRettifiche" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="rettifica" type="{http://www.nsisr.puglia.it/Schemas/}rettificaDCRRequest" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DcrMazzetteRequest.ElencoRettifiche` Contiene i dati relativi alle rettifiche della Distinta Contabile Riepilogativa.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codNazionale`
    `protected java.lang.String` | `codProvinciale`
    `protected DcrMazzetteDettaglioRequest` | `distinta`
    `protected DcrMazzetteRequest.ElencoRettifiche` | `elencoRettifiche`
    `protected java.lang.String` | `identificativoTitolare`
    `protected java.lang.String` | `numDistretto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DcrMazzetteRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodNazionale()` Recupera il valore della proprietà codNazionale.
    `java.lang.String` | `getCodProvinciale()` Recupera il valore della proprietà codProvinciale.
    `DcrMazzetteDettaglioRequest` | `getDistinta()` Recupera il valore della proprietà distinta.
    `DcrMazzetteRequest.ElencoRettifiche` | `getElencoRettifiche()` Recupera il valore della proprietà elencoRettifiche.
    `java.lang.String` | `getIdentificativoTitolare()` Recupera il valore della proprietà identificativoTitolare.
    `java.lang.String` | `getNumDistretto()` Recupera il valore della proprietà numDistretto.
    `void` | `setCodNazionale(java.lang.String value)` Imposta il valore della proprietà codNazionale.
    `void` | `setCodProvinciale(java.lang.String value)` Imposta il valore della proprietà codProvinciale.
    `void` | `setDistinta(DcrMazzetteDettaglioRequest value)` Imposta il valore della proprietà distinta.
    `void` | `setElencoRettifiche(DcrMazzetteRequest.ElencoRettifiche value)` Imposta il valore della proprietà elencoRettifiche.
    `void` | `setIdentificativoTitolare(java.lang.String value)` Imposta il valore della proprietà identificativoTitolare.
    `void` | `setNumDistretto(java.lang.String value)` Imposta il valore della proprietà numDistretto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codNazionale

          protected java.lang.String codNazionale

    - #### numDistretto

          protected java.lang.String numDistretto

    - #### codProvinciale

          protected java.lang.String codProvinciale

    - #### identificativoTitolare

          protected java.lang.String identificativoTitolare

    - #### distinta

          protected DcrMazzetteDettaglioRequest distinta

    - #### elencoRettifiche

          protected DcrMazzetteRequest.ElencoRettifiche elencoRettifiche

  - ### Constructor Detail

    - #### DcrMazzetteRequest

          public DcrMazzetteRequest()

  - ### Method Detail

    - #### getCodNazionale

          public java.lang.String getCodNazionale()

      Recupera il valore della proprietà codNazionale.
      Returns:
        possible object is `String`

    - #### setCodNazionale

          public void setCodNazionale(java.lang.String value)

      Imposta il valore della proprietà codNazionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumDistretto

          public java.lang.String getNumDistretto()

      Recupera il valore della proprietà numDistretto.
      Returns:
        possible object is `String`

    - #### setNumDistretto

          public void setNumDistretto(java.lang.String value)

      Imposta il valore della proprietà numDistretto.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodProvinciale

          public java.lang.String getCodProvinciale()

      Recupera il valore della proprietà codProvinciale.
      Returns:
        possible object is `String`

    - #### setCodProvinciale

          public void setCodProvinciale(java.lang.String value)

      Imposta il valore della proprietà codProvinciale.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoTitolare

          public java.lang.String getIdentificativoTitolare()

      Recupera il valore della proprietà identificativoTitolare.
      Returns:
        possible object is `String`

    - #### setIdentificativoTitolare

          public void setIdentificativoTitolare(java.lang.String value)

      Imposta il valore della proprietà identificativoTitolare.
      Parameters:
        `value` - allowed object is `String`

    - #### getDistinta

          public DcrMazzetteDettaglioRequest getDistinta()

      Recupera il valore della proprietà distinta.
      Returns:
        possible object is `DcrMazzetteDettaglioRequest`

    - #### setDistinta

          public void setDistinta(DcrMazzetteDettaglioRequest value)

      Imposta il valore della proprietà distinta.
      Parameters:
        `value` - allowed object is `DcrMazzetteDettaglioRequest`

    - #### getElencoRettifiche

          public DcrMazzetteRequest.ElencoRettifiche getElencoRettifiche()

      Recupera il valore della proprietà elencoRettifiche.
      Returns:
        possible object is `DcrMazzetteRequest.ElencoRettifiche`

    - #### setElencoRettifiche

          public void setElencoRettifiche(DcrMazzetteRequest.ElencoRettifiche value)

      Imposta il valore della proprietà elencoRettifiche.
      Parameters:
        `value` - allowed object is `DcrMazzetteRequest.ElencoRettifiche`